﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ATH
{
    public static class Stopper
    {
        private static DateTime start = DateTime.Now;
        private static DateTime subtime = DateTime.Now;

        public static void GetLastElapsed(string message)
        {
            Stopper.GetLastElapsed();
            Console.WriteLine(message);
        }
        public static void GetLastElapsed()
        {
            Console.WriteLine("Time Elapsed: " + Stopper.TimeFromLastCheck());
        }
        public static void GetTotal()
        {
            Console.WriteLine("Total Elapsed Time: " + Stopper.GetElapsedTime(Stopper.start)); 
            Console.WriteLine("Done.");
        }
        public static TimeSpan GetElapsedTime()
        {
            return DateTime.Now - Stopper.subtime;
        }
        public static string GetElapsedTime(DateTime time)
        {
            TimeSpan ts = DateTime.Now - Stopper.subtime;
            return ((ts.Hours < 9) ? "0" : "") + ts.Hours + ":" + ((ts.Minutes < 9) ? "0" : "") + ts.Minutes + ":" + ((ts.Seconds < 9) ? "0" : "") + ts.Seconds + "." + ts.Milliseconds;
        }
        private static string TimeFromLastCheck()
        {
           string result = GetElapsedTime(Stopper.subtime);
           Stopper.subtime = DateTime.Now;
           return result;
        }
        public static void Init()
        { 
            start = DateTime.Now;
            subtime = start;
        }
    }
}
