﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ATH
{
    public class SimField
    {
        private readonly Entity e1;
        private readonly Entity e2;
        private readonly float simValue;


        public SimField(Entity e1, Entity e2, float simValue)
        {
            this.e1 = e1;
            this.e2 = e2;
            this.simValue = simValue;
        }
        public static SimField Create(Entity e1, Entity e2, float simValue)
        {
            return new SimField(e1, e2, simValue);
        }

        public float SimValue
        {
            get { return simValue; }
        }
        public Entity E2
        {
            get { return e2; }
        }
        public Entity E1
        {
            get { return e1; }
        }
    }
}
